UpdateParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.UpdateParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface UpdateParams

    public interface UpdateParams

A collection of standard params used by Update handlers

Since:
  solr 1.2
Version:
  $Id: UpdateParams.java 1165749 2011-09-06 16:20:07Z janhoy $

Field Summary
`static String` | `COMMIT` Commit everything after the command completes
`static String` | `COMMIT_WITHIN` Commit within a certain time period (in ms)
`static String` | `EXPUNGE_DELETES`
`static String` | `MAX_OPTIMIZE_SEGMENTS` If optimizing, set the maximum number of segments left in the index after optimization.
`static String` | `OPTIMIZE` Optimize the index and commit everything after the command completes
`static String` | `OVERWRITE` overwrite indexing fields
`static String` | `ROLLBACK` Rollback update commands
`static String` | `UPDATE_CHAIN` Select the update processor chain to use.
`static String` | `UPDATE_CHAIN_DEPRECATED`
`static String` | `WAIT_FLUSH` wait till the command has flushed
`static String` | `WAIT_SEARCHER` wait for the search to warm up

Field Detail

### WAIT_FLUSH

    static final String WAIT_FLUSH

  wait till the command has flushed

  See Also:
    Constant Field Values

### WAIT_SEARCHER

    static final String WAIT_SEARCHER

  wait for the search to warm up

  See Also:
    Constant Field Values

### OVERWRITE

    static final String OVERWRITE

  overwrite indexing fields

  See Also:
    Constant Field Values

### COMMIT

    static final String COMMIT

  Commit everything after the command completes

  See Also:
    Constant Field Values

### COMMIT_WITHIN

    static final String COMMIT_WITHIN

  Commit within a certain time period (in ms)

  See Also:
    Constant Field Values

### OPTIMIZE

    static final String OPTIMIZE

  Optimize the index and commit everything after the command completes

  See Also:
    Constant Field Values

### ROLLBACK

    static final String ROLLBACK

  Rollback update commands

  See Also:
    Constant Field Values

### UPDATE_CHAIN

    static final String UPDATE_CHAIN

  Select the update processor chain to use. A RequestHandler may or may not respect this parameter

  See Also:
    Constant Field Values

### UPDATE_CHAIN_DEPRECATED

    static final String UPDATE_CHAIN_DEPRECATED

See Also:
  Constant Field Values

### MAX_OPTIMIZE_SEGMENTS

    static final String MAX_OPTIMIZE_SEGMENTS

  If optimizing, set the maximum number of segments left in the index after optimization. 1 is the default (and is equivalent to calling IndexWriter.optimize() in Lucene).

  See Also:
    Constant Field Values

### EXPUNGE_DELETES

    static final String EXPUNGE_DELETES

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD